#include <Strela.h>
#include <OneWire.h>
#include <DallasTemperature.h>
#include <Servo.h>
#include <Wire.h>
OneWire ow(P8);// 
DallasTemperature s(&ow);
float temp;
int humidity;
Servo m;
int light;
int water;
int pelte;
int pump;
void setup()
{
//  (P5)
// (P6)
//M1 
//M2 
  Serial.begin(9600);
  uPinMode(P12, OUTPUT);//  trig
  uPinMode(P11, INPUT);//  echo
  uPinMode(P3, OUTPUT);// 
  uPinMode(P7, OUTPUT);//
  s.begin();
  s.setResolution(12);
  m.attach(P4);// 
  pinMode(P10, INPUT_PULLUP);// 
  m.write(20);
  uPinMode(P2,INPUT_PULLUP);//  
  uPinMode(P1,OUTPUT);//  
}
void loop()
{
  humidity=analogRead(P5);
  water=uDigitalRead(P2);
  light=analogRead(P6);
  Serial.print("humidity ");
  Serial.println(humidity);

  Serial.print("water ");
  Serial.println(water);

  Serial.print("light ");
  Serial.println(light);


//  
  if(humidity<10 || water==1 || light>420)
{
  uDigitalWrite(P3, HIGH);   
  uDigitalWrite(P7, HIGH); 
}
else
{
 uDigitalWrite(P3, LOW);   
  uDigitalWrite(P7, LOW);  
}


//  
 if(humidity<10)
{
 pump=255;
}
else
{
  pump=0;
}


//  
 if(water==1)
{
 tone(BUZZER, 1000,100);
}


//   
if(uDigitalRead(P10)==0)
{ 
  m.write(45);
  delay(3000);
  m.write(20);
}


// 
  s.requestTemperatures();
  temp = s.getTempCByIndex(0);
  Serial.print("temperature ");
  Serial.println(temp);

//  
  if(temp>27)
{
  uDigitalWrite(P1, HIGH); 
}
else
{
  uDigitalWrite(P1, LOW); 
}

//  
  if(temp<25)
{
  pelte=255;
}
else
{
  pelte=0;
}

 drive(pelte,pump);
 delay(1);
}


